Subject: Re: New special handing of '@' character broke my use case

From: Stefano Lattarini <[email-masked]>
Date: Wed, 14 Aug 2013 20:20:54 +0100

[re-sending to the list, sorry Junio for the duplicate mail]

On 08/14/2013 07:05 PM, Junio C Hamano wrote:
 > Stefano Lattarini <[email-masked]> writes:
 >
 >> My problems is that some new automagical interpretation of the bare
 >> @' character (introduced after 1.8.3) has destroyed my use case:
 >> ...
 >> I don't want to ask you to revert this new behaviour, but I'd like to
 >> at least have an option to disable it.
 >
 > I do not think it is simply not worth the complexity to selectively
 > disable it.  If it is a regression, it is much better to simply
 > revert, if we can (it appears that cdfd9483 (Add new @ shortcut for
 > HEAD, 2013-05-07) can be reverted without any textual context, but
 > there may already be new stuff that depends on the "@").
 >
I'm not sure I want to force a revert simply to cater to a personal 
idiom of mine (and not that important).  I'd first like to hear what the 
community thinks about the issue (with silence meaning "don't revert").

 > For the upcoming release, I am very much tempted to revert it and
 > let the topic retried, by people who really want the "let's save
 > four keystrokes and replace it with @ aka Shift-<something>",
 > without hurting your use case (and others), after the upcoming
 > release.
 >
 > What do others think?
 >
I second this question :-)

Thanks,
   Stefano